Skip to content

API reference

List account groups

account_group_list — Account groups of the workspace (name, color, revision, member account ids).

account_group_list · Reads saved data

Account groups of the workspace (name, color, revision, member account ids). Use group_ids in any bulk tool to act on every member at once.

REST GET /api/public/v1/groups
MCP tool account_group_list
Permission needed view — Owner, Manager, Operator, Viewer
Scope group accounts:read
Group X account groups
Shown up front in profiles Automation, Infrastructure

Input

No input.

Result

Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.

Example

Call over REST

curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/groups" \
  -H "Authorization: Bearer $XBUDDY_API_KEY"

Call over MCP

{
  "method": "tools/call",
  "params": {
    "name": "account_group_list",
    "arguments": {}
  }
}

Errors you may get

Back to all operations